package com.gx.obe.struct.beans;

import java.math.BigDecimal;

/**
 * @author gnauh
 * 数值区间模型类
 *
 */
public class AbsoluteDO {
	private int startNumber;
	private int endNumber;
	private BigDecimal score;
	public AbsoluteDO(int startNumber,int  endNumber , BigDecimal score){
		this.score = score;
		this.endNumber = endNumber;
		this.startNumber = startNumber;
	}
	public int getStartNumber() {
		return startNumber;
	}
	public void setStartNumber(int startNumber) {
		this.startNumber = startNumber;
	}
	public int getEndNumber() {
		return endNumber;
	}
	public void setEndNumber(int endNumber) {
		this.endNumber = endNumber;
	}
	public BigDecimal getScore() {
		return score;
	}
	public void setScore(BigDecimal score) {
		this.score = score;
	}
	public boolean isInRange(int value) {
		if (startNumber > 0 && endNumber> 0) {
			 return value >= startNumber && value < endNumber;
		}else if(startNumber > 0 &&  endNumber <=0) {
			 return value >= startNumber;
		}else if(startNumber ==0 && endNumber> 0) {
			 return  value < endNumber;
		}
		return false;
		
	}
	
}
