package com.gx.obe.struct.beans;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public class ProjectLeader {
	
	/**
	 * 主键
	 */
	private String id;
	/**
	 * 项目ID
	 */
	private String tenderId;
	/**
	 * 模型数据ID
	 */
	private String modelDataId;
	/**
	 * 公司名称
	 */
	private String companyName;
	/**
	 * 姓名
	 */
	private String leaderName;
	/**
	 * 身份证号
	 */
	private String idnumber;
	/**
	 * 年龄
	 */
	private String age;
	/**
	 * 职务名称
	 */
	private String jobTitle;
	/**
	 * 工作经验（年）
	 */
	private String workExperience;
	/**
	 * 当前专业工作年限
	 */
	private String currentMajorExperience;
	/**
	 * 毕业学校
	 */
	private String graduateSchool;
	/**
	 * 毕业专业
	 */
	private String graduateMajor;
	/**
	 * 学历
	 */
	private String education;
	/**
	 * 职称
	 */
	private String professionalTitle;
	/**
	 * 是否为项目负责人
	 */
	private String isLeaderFlag;
	/**
	 * 证书列表
	 */
	private List<Certificate> certificateList;
	/**
	 * 工作经历
	 */
	private List<WorkExperience> workExperienceList;
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getTenderId() {
		return tenderId;
	}
	
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	
	public String getModelDataId() {
		return modelDataId;
	}
	
	public void setModelDataId(String modelDataId) {
		this.modelDataId = modelDataId;
	}
	
	public String getLeaderName() {
		return leaderName;
	}
	
	public void setLeaderName(String leaderName) {
		this.leaderName = leaderName;
	}
	
	public String getIdnumber() {
		return idnumber;
	}
	
	public void setIdnumber(String idnumber) {
		this.idnumber = idnumber;
	}
	
	public String getAge() {
		return age;
	}
	
	public void setAge(String age) {
		this.age = age;
	}
	
	public String getJobTitle() {
		return jobTitle;
	}
	
	public void setJobTitle(String jobTitle) {
		this.jobTitle = jobTitle;
	}
	
	public String getWorkExperience() {
		return workExperience;
	}
	
	public void setWorkExperience(String workExperience) {
		this.workExperience = workExperience;
	}
	
	public List<Certificate> getCertificateList() {
		return certificateList;
	}
	
	public void setCertificateList(List<Certificate> certificateList) {
		this.certificateList = certificateList;
	}
	
	public String getCompanyName() {
		return companyName;
	}
	
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
	public String getCurrentMajorExperience() {
		return currentMajorExperience;
	}
	
	public void setCurrentMajorExperience(String currentMajorExperience) {
		this.currentMajorExperience = currentMajorExperience;
	}
	
	public String getGraduateSchool() {
		return graduateSchool;
	}
	
	public void setGraduateSchool(String graduateSchool) {
		this.graduateSchool = graduateSchool;
	}
	
	public String getGraduateMajor() {
		return graduateMajor;
	}
	
	public void setGraduateMajor(String graduateMajor) {
		this.graduateMajor = graduateMajor;
	}
	
	public String getEducation() {
		return education;
	}
	
	public void setEducation(String education) {
		this.education = education;
	}
	
	public List<WorkExperience> getWorkExperienceList() {
		return workExperienceList;
	}
	
	public void setWorkExperienceList(List<WorkExperience> workExperienceList) {
		this.workExperienceList = workExperienceList;
	}
	
	public String getProfessionalTitle() {
		return professionalTitle;
	}
	
	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}

	public String getIsLeaderFlag() {
		return isLeaderFlag;
	}

	public void setIsLeaderFlag(String isLeaderFlag) {
		this.isLeaderFlag = isLeaderFlag;
	}
	
}