package com.gx.obe.struct.beans;

public class TimeModelDO {
	
	/**
	 * @Description: 基础分
	 */
	private String baseScore;
	/**
	 * @Description: 方式：方式1 01，方式2 02 方式1 会用到以下节点 方式2 只会用到交货日期，只能供应商响应是才出现
	 */
	private String mode;
	/**
	 * @Description: 日期：yyyy-MM-dd HH:mm
	 */
	private String deliveryDate;
	/**
	 * @Description: 天数1：可填
	 */
	private String dayFirst;
	/**
	 * @Description: 类型1：扣分01
	 */
	private String dealTypeFirst;
	/**
	 * @Description: 分值1
	 */
	private String dealScoreFirst;
	/**
	 * @Description: 天数2：可填
	 */
	private String daySecond;
	/**
	 * @Description: 类型2：扣分01
	 */
	private String dealTypeSecond;
	/**
	 * @Description: 分值2
	 */
	private String dealScoreSecond;
	/**
	 * @Description: 是否项：是 01，否 00
	 */
	private String option;
	/**
	 * @Description: 备注：可填
	 */
	private String memo;
	
	public String getBaseScore() {
		return baseScore;
	}
	
	public void setBaseScore(String baseScore) {
		this.baseScore = baseScore;
	}
	
	public String getMode() {
		return mode;
	}
	
	public void setMode(String mode) {
		this.mode = mode;
	}
	
	public String getDeliveryDate() {
		return deliveryDate;
	}
	
	public void setDeliveryDate(String deliveryDate) {
		this.deliveryDate = deliveryDate;
	}
	
	public String getDayFirst() {
		return dayFirst;
	}
	
	public void setDayFirst(String dayFirst) {
		this.dayFirst = dayFirst;
	}
	
	public String getDealTypeFirst() {
		return dealTypeFirst;
	}
	
	public void setDealTypeFirst(String dealTypeFirst) {
		this.dealTypeFirst = dealTypeFirst;
	}
	
	public String getDealScoreFirst() {
		return dealScoreFirst;
	}
	
	public void setDealScoreFirst(String dealScoreFirst) {
		this.dealScoreFirst = dealScoreFirst;
	}
	
	public String getDaySecond() {
		return daySecond;
	}
	
	public void setDaySecond(String daySecond) {
		this.daySecond = daySecond;
	}
	
	public String getDealTypeSecond() {
		return dealTypeSecond;
	}
	
	public void setDealTypeSecond(String dealTypeSecond) {
		this.dealTypeSecond = dealTypeSecond;
	}
	
	public String getDealScoreSecond() {
		return dealScoreSecond;
	}
	
	public void setDealScoreSecond(String dealScoreSecond) {
		this.dealScoreSecond = dealScoreSecond;
	}
	
	public String getOption() {
		return option;
	}
	
	public void setOption(String option) {
		this.option = option;
	}
	
	public String getMemo() {
		return memo;
	}
	
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
}
