package com.gx.obe.struct.inters;

import com.gx.obe.bind.prop.Prop;
import com.gx.obe.bind.view.Write;
import com.gx.obe.struct.beans.ModelData;

public abstract class IModelData {
	
	protected final Prop<String> supplierId = new Prop<>();
	
	protected final Prop<Integer> count = new Prop<>();
	
	public IModelData() {
		init();
	}
	
	protected abstract void init();
	
	public abstract void refresh(ModelData modelData);

	public void setCountWrite(Write<Integer> countConsumer) {
		count.bind(countConsumer);
	}
	
}
