package com.gx.obe.struct.inters;

import java.util.function.BiConsumer;
import java.util.function.Consumer;
import java.util.function.Function;

import org.eclipse.swt.widgets.Composite;

public interface IModelDataDetail {
	
	void refreshTitle(String string);
	
	void addBasicSubpage(Function<Composite, Composite> initSub);
	
	void addSubpage(String name, Function<Composite, Composite> initSub);
	
	<T> void addAttachmentSubpage(Consumer<BiConsumer<String, String>> supplierIdAndBusinessIdConsumer);
	
}
