package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.AttachmentFile;
import com.gx.obe.web.utils.ObeHttpUtils;

/**
 * @Description:
 * @author chenxw
 */
public class AttachmentFileService {
	
	private static final String URL = "obeAttachmentFile";
	
	/**
	 * @Description: 获取附件列表
	 * @author chenxw
	 * @param businessId
	 * @return
	 */
	public List<AttachmentFile> getAttachmentFileList(String businessId) {
		Map<String, Object> param = new HashMap<>();
		param.put("businessId", businessId);
		return ObeHttpUtils.getList(URL.concat("/getAttachmentFileList"), param, AttachmentFile.class);
	}
	
}
