package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.BidderBasicInfo;
import com.gx.obe.web.utils.ObeHttpUtils;

/**
 * @Description:
 * @author chenxw
 */
public class BidderInfoService {
	
	private static final String URL = "obeBidderBasicInfo";
	
	/**
	 * @Description: 获取投标人基本情况列表
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @return 
	 */
	public List<BidderBasicInfo> getBidderBasicInfoList(String tenderId, String modelDataId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("modelDataId", modelDataId);
		return ObeHttpUtils.getList(URL.concat("/getBidderBasicInfoList"), param, BidderBasicInfo.class);
	}
	
}
