package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.Map;

import com.gx.obe.struct.beans.ModelData;
import com.gx.obe.web.utils.ObeHttpUtils;

public class ModelDataService {
	
	private static final String URL = "obeModelData";
	
	/**
	 * @Description: 获取对象结构化数据
	 * @author chenxw
	 * @param tenderId
	 * @param supplierId
	 * @param relChapterType
	 * @param dataCode
	 * @return
	 */
	public ModelData getModelData(String tenderId, String supplierId, String relChapterType, String dataCode) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("supplierId", supplierId);
		param.put("relChapterType", relChapterType);
		param.put("dataCode", dataCode);
		return ObeHttpUtils.getOne(URL.concat("/getModelData"), param, ModelData.class);
	}
	
}
