package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.ProjectLeader;
import com.gx.obe.web.utils.ObeHttpUtils;

/**
 * @Description:
 * @author chenxw
 */
public class ProjectLeaderService {
	
	private static final String URL = "obeProjectLeader";
	
	/**
	 * @Description: 获取项目负责人列表
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @return
	 */
	public List<ProjectLeader> getProjectLeaderList(String tenderId, String modelDataId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("modelDataId", modelDataId);
		return ObeHttpUtils.getList(URL.concat("/getProjectLeaderList"), param, ProjectLeader.class);
	}
	
}
