package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.Qualification;
import com.gx.obe.web.utils.ObeHttpUtils;

public class QualificationService {
	
	private static final String URL = "obeQualification";
	
	/**
	 * @Description: 获取证书列表
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @return
	 */
	public List<Qualification> getQualificationList(String tenderId, String modelDataId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("modelDataId", modelDataId);
		return ObeHttpUtils.getList(URL.concat("/getQualificationList"), param, Qualification.class);
	}
	
}
