package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.TemplateTable;
import com.gx.obe.web.utils.ObeHttpUtils;

public class TemplateTableService {
	
	private static final String URL = "obeTemplateTable";
	
	/**
	 * @Description: 获取小范本表格列表
	 * @author chenxw
	 * @param tenderId
	 * @param factorId
	 * @return
	 */
	public List<TemplateTable> getTemplateTableList(String tenderId, String relChapterType, String dataCode) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("relChapterType", relChapterType);
		param.put("dataCode", dataCode);
		return ObeHttpUtils.getList(URL.concat("/getTemplateTableList"), param, TemplateTable.class);
	}
	
}
