package com.gx.obe.struct.utils;

import java.util.List;
import java.util.Optional;
import java.util.function.Function;
import java.util.stream.Stream;

import org.dom4j.Element;

public class ElementUtils {
	
	public static Function<Element, Stream<Element>> toStreamFun(String listName, String itemName) {
		return e -> {
			List<?> elements = Optional.ofNullable(e).map(t -> t.element(listName)).map(t -> t.elements(itemName)).orElse(null);
			if (elements == null) return null;
			return elements.stream().map(t -> (Element) t);
		};
	}
	
}
