package com.gx.obe.struct.beans;

/**
 * @author mazc
 * @Description:
 */
public class BidderBasicInfo {
	
	/**
	 * 主键
	 */
	private String id;
	/**
	 * 项目ID
	 */
	private String tenderId;
	/**
	 * 模型数据ID
	 */
	private String modelDataId;
	/**
	 * 投标人名称
	 */
	private String companyName;
	/**
	 * 注册地址
	 */
	private String registerLocation;
	/**
	 * 邮政编码
	 */
	private String postalCode;
	/**
	 * 联系人
	 */
	private String linkMan;
	/**
	 * 电话
	 */
	private String linkManPhone;
	/**
	 * 传真
	 */
	private String linkManFax;
	/**
	 * 网址
	 */
	private String linkManWebsite;
	/**
	 * 组织结构
	 */
	private String orgStructure;
	/**
	 * 法定代表人姓名
	 */
	private String legalRepresentativeName;
	/**
	 * 法定代表人技术职称
	 */
	private String legalRepresentativeTitle;
	/**
	 * 法定代表人电话
	 */
	private String legalRepresentativePhone;
	/**
	 * 技术负责人姓名
	 */
	private String technicalDirectorName;
	/**
	 * 技术负责人职称
	 */
	private String technicalDirectorTitle;
	/**
	 * 技术负责人电话
	 */
	private String technicalDirectorPhone;
	/**
	 * 成立时间
	 */
	private String setupTime;
	/**
	 * 企业资质等级
	 */
	private String companyQualificationLevel;
	/**
	 * 注册资金
	 */
	private String registeredCapital;
	/**
	 * 开户银行
	 */
	private String depositBank;
	/**
	 * 营业执照号
	 */
	private String bussinessLicense;
	/**
	 * 银行账号
	 */
	private String bankAccount;
	/**
	 * 员工总人数
	 */
	private String employeeNumber;
	/**
	 * 项目经理数量
	 */
	private String purchaserNumber;
	/**
	 * 高级职称人员数量
	 */
	private String seniorProfessionalPostNumber;
	/**
	 * 中极职称人员数量
	 */
	private String mediumProfessionalPostNumber;
	/**
	 * 初级职称人员数量
	 */
	private String primaryProfessionalPostNumber;
	/**
	 * 技工数量
	 */
	private String artisanNumber;
	/**
	 * 经营范围
	 */
	private String businessScope;
	/**
	 * 企业性质
	 */
	private String enterpriseNature;
	/**
	 * 股权结构
	 */
	private String equityStructure;
	/**
	 * 关联企业情况
	 */
	private String relatedCompanyInfo;
	/**
	 * 服务能力
	 */
	private String serviceAbility;
	/**
	 * 拟投入本项目设备
	 */
	private String preInputDevice;
	/**
	 * 备注
	 */
	private String memo;
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getTenderId() {
		return tenderId;
	}
	
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	
	public String getModelDataId() {
		return modelDataId;
	}
	
	public void setModelDataId(String modelDataId) {
		this.modelDataId = modelDataId;
	}
	
	public String getRegisterLocation() {
		return registerLocation;
	}
	
	public void setRegisterLocation(String registerLocation) {
		this.registerLocation = registerLocation;
	}
	
	public String getPostalCode() {
		return postalCode;
	}
	
	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	}
	
	public String getLinkMan() {
		return linkMan;
	}
	
	public void setLinkMan(String linkMan) {
		this.linkMan = linkMan;
	}
	
	public String getLinkManPhone() {
		return linkManPhone;
	}
	
	public void setLinkManPhone(String linkManPhone) {
		this.linkManPhone = linkManPhone;
	}
	
	public String getLinkManFax() {
		return linkManFax;
	}
	
	public void setLinkManFax(String linkManFax) {
		this.linkManFax = linkManFax;
	}
	
	public String getLinkManWebsite() {
		return linkManWebsite;
	}
	
	public void setLinkManWebsite(String linkManWebsite) {
		this.linkManWebsite = linkManWebsite;
	}
	
	public String getOrgStructure() {
		return orgStructure;
	}
	
	public void setOrgStructure(String orgStructure) {
		this.orgStructure = orgStructure;
	}
	
	public String getLegalRepresentativeName() {
		return legalRepresentativeName;
	}
	
	public void setLegalRepresentativeName(String legalRepresentativeName) {
		this.legalRepresentativeName = legalRepresentativeName;
	}
	
	public String getLegalRepresentativeTitle() {
		return legalRepresentativeTitle;
	}
	
	public void setLegalRepresentativeTitle(String legalRepresentativeTitle) {
		this.legalRepresentativeTitle = legalRepresentativeTitle;
	}
	
	public String getLegalRepresentativePhone() {
		return legalRepresentativePhone;
	}
	
	public void setLegalRepresentativePhone(String legalRepresentativePhone) {
		this.legalRepresentativePhone = legalRepresentativePhone;
	}
	
	public String getTechnicalDirectorName() {
		return technicalDirectorName;
	}
	
	public void setTechnicalDirectorName(String technicalDirectorName) {
		this.technicalDirectorName = technicalDirectorName;
	}
	
	public String getTechnicalDirectorTitle() {
		return technicalDirectorTitle;
	}
	
	public void setTechnicalDirectorTitle(String technicalDirectorTitle) {
		this.technicalDirectorTitle = technicalDirectorTitle;
	}
	
	public String getTechnicalDirectorPhone() {
		return technicalDirectorPhone;
	}
	
	public void setTechnicalDirectorPhone(String technicalDirectorPhone) {
		this.technicalDirectorPhone = technicalDirectorPhone;
	}
	
	public String getSetupTime() {
		return setupTime;
	}
	
	public void setSetupTime(String setupTime) {
		this.setupTime = setupTime;
	}
	
	public String getCompanyQualificationLevel() {
		return companyQualificationLevel;
	}
	
	public void setCompanyQualificationLevel(String companyQualificationLevel) {
		this.companyQualificationLevel = companyQualificationLevel;
	}
	
	public String getRegisteredCapital() {
		return registeredCapital;
	}
	
	public void setRegisteredCapital(String registeredCapital) {
		this.registeredCapital = registeredCapital;
	}
	
	public String getDepositBank() {
		return depositBank;
	}
	
	public void setDepositBank(String depositBank) {
		this.depositBank = depositBank;
	}
	
	public String getBussinessLicense() {
		return bussinessLicense;
	}
	
	public void setBussinessLicense(String bussinessLicense) {
		this.bussinessLicense = bussinessLicense;
	}
	
	public String getBankAccount() {
		return bankAccount;
	}
	
	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}
	
	public String getEmployeeNumber() {
		return employeeNumber;
	}
	
	public void setEmployeeNumber(String employeeNumber) {
		this.employeeNumber = employeeNumber;
	}
	
	public String getPurchaserNumber() {
		return purchaserNumber;
	}
	
	public void setPurchaserNumber(String purchaserNumber) {
		this.purchaserNumber = purchaserNumber;
	}
	
	public String getSeniorProfessionalPostNumber() {
		return seniorProfessionalPostNumber;
	}
	
	public void setSeniorProfessionalPostNumber(String seniorProfessionalPostNumber) {
		this.seniorProfessionalPostNumber = seniorProfessionalPostNumber;
	}
	
	public String getMediumProfessionalPostNumber() {
		return mediumProfessionalPostNumber;
	}
	
	public void setMediumProfessionalPostNumber(String mediumProfessionalPostNumber) {
		this.mediumProfessionalPostNumber = mediumProfessionalPostNumber;
	}
	
	public String getPrimaryProfessionalPostNumber() {
		return primaryProfessionalPostNumber;
	}
	
	public void setPrimaryProfessionalPostNumber(String primaryProfessionalPostNumber) {
		this.primaryProfessionalPostNumber = primaryProfessionalPostNumber;
	}
	
	public String getArtisanNumber() {
		return artisanNumber;
	}
	
	public void setArtisanNumber(String artisanNumber) {
		this.artisanNumber = artisanNumber;
	}
	
	public String getBusinessScope() {
		return businessScope;
	}
	
	public void setBusinessScope(String businessScope) {
		this.businessScope = businessScope;
	}
	
	public String getEnterpriseNature() {
		return enterpriseNature;
	}
	
	public void setEnterpriseNature(String enterpriseNature) {
		this.enterpriseNature = enterpriseNature;
	}
	
	public String getEquityStructure() {
		return equityStructure;
	}
	
	public void setEquityStructure(String equityStructure) {
		this.equityStructure = equityStructure;
	}
	
	public String getRelatedCompanyInfo() {
		return relatedCompanyInfo;
	}
	
	public void setRelatedCompanyInfo(String relatedCompanyInfo) {
		this.relatedCompanyInfo = relatedCompanyInfo;
	}
	
	public String getServiceAbility() {
		return serviceAbility;
	}
	
	public void setServiceAbility(String serviceAbility) {
		this.serviceAbility = serviceAbility;
	}
	
	public String getPreInputDevice() {
		return preInputDevice;
	}
	
	public void setPreInputDevice(String preInputDevice) {
		this.preInputDevice = preInputDevice;
	}
	
	public String getMemo() {
		return memo;
	}
	
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	public String getCompanyName() {
		return companyName;
	}
	
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
}