package com.gx.obe.struct.beans;

public class LiftRateDO {
	
	/**
	 <liftRate>
     <_responseType>排名</_responseType>
     <sort>1</sort>
     <Score>5</Score>
     <MinScore>0</MinScore>
     <MaxScore>5</MaxScore>
     <responseType>01</responseType>
     <typeNote>01</typeNote>
     <_typeNote>高名次</_typeNote>
     <ranking>1</ranking>
     <dealType>01</dealType>
     <_dealType>投标人响应值最高为第一名</_dealType>
     <dealScore />
     <unit>%</unit>
     <decimalDigits>6</decimalDigits>
    </liftRate>
    */
	/**
	 * @Description: 响应类型： 排名 01、百分比 02、出现次数 03
	 */
	private String responseType;
	/**
	 * @Description: 类型说明：高名次 01、低名次 02
	 */
	private String typeNote;
	/**
	 * @Description: 名次：整形
	 */
	private String ranking;
	/**
	 * @Description: 处理类型：加分01 、扣分 02
	 */
	private String dealType;
	/**
	 * @Description: 处理分数：可填
	 */
	private String dealScore;
	/**
	 * @Description: 备注：可填
	 */
	private String memo;
	private String sort;
	private String Score;
	private String minScore;
	private String maxScore;
	
	/**
	 * 单位
	 */
	private String unit;
	/**
	 * 小数点位数
	 */
	private String decimalDigits;
	
	public String getResponseType() {
		return responseType;
	}
	
	public void setResponseType(String responseType) {
		this.responseType = responseType;
	}
	
	public String getTypeNote() {
		return typeNote;
	}
	
	public void setTypeNote(String typeNote) {
		this.typeNote = typeNote;
	}
	
	public String getRanking() {
		return ranking;
	}
	
	public void setRanking(String ranking) {
		this.ranking = ranking;
	}
	
	public String getDealType() {
		return dealType;
	}
	
	public void setDealType(String dealType) {
		this.dealType = dealType;
	}
	
	public String getDealScore() {
		return dealScore;
	}
	
	public void setDealScore(String dealScore) {
		this.dealScore = dealScore;
	}
	
	public String getMemo() {
		return memo;
	}
	
	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getScore() {
		return Score;
	}

	public void setScore(String score) {
		Score = score;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getDecimalDigits() {
		return decimalDigits;
	}

	public void setDecimalDigits(String decimalDigits) {
		this.decimalDigits = decimalDigits;
	}

	public String getMinScore() {
		return minScore;
	}

	public void setMinScore(String minScore) {
		this.minScore = minScore;
	}

	public String getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(String maxScore) {
		this.maxScore = maxScore;
	}

	
	
}
