package com.gx.obe.struct.beans;

/**
 * 业绩？
 * @author mazc
 * @Description:
 */
public class Performance {
	
	/**
	 * 主键
	 */
	private String id;
	/**
	 * 项目ID
	 */
	private String tenderId;
	/**
	 * 模型数据ID
	 */
	private String modelDataId;
	/**
	 * 采购单位
	 */
	private String purchasingUnit;
	/**
	 * 供货单位
	 */
	private String partner;
	/**
	 * 项目名称
	 */
	private String projectName;
	/**
	 * 签订日期
	 */
	private String singningDate;
	/**
	 * 结束日期
	 */
	private String endTime;
	/**
	 * 合同金额（单位：元）
	 */
	private String singningTotal;
	/**
	 * 项目经理姓名
	 */
	private String purchaser;
	/**
	 * 代表联系电话
	 */
	private String purchaserPhone;
	/**
	 * 业绩状态（00：进行中；01：已完成）
	 */
	private String status;
	/**
	 * 企业名称
	 */
	private String supplierName;
	/**
	 * 项目所在地
	 */
	private String projectAddress;
	/**
	 * 发包人名称
	 */
	private String buyerName;
	/**
	 * 发包人地址
	 */
	private String buyerAddress;
	/**
	 * 发包人电话
	 */
	private String buyerPhoneNumber;
	/**
	 * 开工日期
	 */
	private String startTime;
	/**
	 * 承担的工作
	 */
	private String workUndertaken;
	/**
	 * 工程质量
	 */
	private String projectQuantity;
	/**
	 * 项目经理
	 */
	private String projectManager;
	/**
	 * 技术负责人
	 */
	private String technicalDirector;
	/**
	 * 总监理工程师
	 */
	private String chiefSupervisionEngineer;
	/**
	 * 总监理工程师电话
	 */
	private String csePhoneNumber;
	/**
	 * 项目描述
	 */
	private String projectDesc;
	/**
	 * 调试范围及内容
	 */
	private String projectRangeAndContent;
	/**
	 * 调试机构人数高峰
	 */
	private String supplierWorkerCountmax;
	/**
	 * 调试机构人数平均
	 */
	private String supplierWorkerCountave;
	/**
	 * 工程评定情况
	 */
	private String projectDeviceResult;
	/**
	 * 项目单位联系人
	 */
	private String buyerLinkman;
	/**
	 * 是否附证明文件
	 */
	private String isHavrAccessory;
	/**
	 * 是否为华能系统的项目
	 */
	private String isOurCompanyProject;
	/**
	 * 服务范围
	 */
	private String serviceScope;
	/**
	 * 设备名称
	 */
	private String deviceName;
	/**
	 * 型号和规格
	 */
	private String devicetypeSpecification;
	/**
	 * 总容量
	 */
	private String totalCapacity;
	/**
	 * 台数
	 */
	private String number;
	/**
	 * 合同时间
	 */
	private String contractTime;
	/**
	 * 投运时间
	 */
	private String commissioningTime;
	/**
	 * 备注
	 */
	private String memo;
	/**
	 * 建设规模
	 */
	private String projectScale;
	/**
	 * 专业人员人数
	 */
	private String professionalNumber;
	/**
	 * 专业人员人月数
	 */
	private String professionalWorkload;
	/**
	 * 合作公司提供人员月数
	 */
	private String partnerProfessionalWorkload;
	/**
	 * 监理范围及内容
	 */
	private String supervisionCcontent;
	/**
	 * 监理效果
	 */
	private String supervisionResult;
	/**
	 * 关键人员姓名专业及职务
	 */
	private String keyStaffProfessionalAndDuty;
	/**
	 * 实际服务说明
	 */
	private String serviceDesc;
	/**
	 * 履约日期
	 */
	private String executionDate;
	/**
	 * 规模类型
	 */
	private String projectScaleAndType;
	/**
	 * 设计阶段
	 */
	private String designStage;
	/**
	 * 设计范围
	 */
	private String designRange;
	/**
	 * 合作方式
	 */
	private String cooperationWay;
	/**
	 * 合同履行获奖情况/合同履行情况
	 */
	private String contractExecuteCondition;
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getTenderId() {
		return tenderId;
	}
	
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	
	public String getModelDataId() {
		return modelDataId;
	}
	
	public void setModelDataId(String modelDataId) {
		this.modelDataId = modelDataId;
	}
	
	public String getPurchasingUnit() {
		return purchasingUnit;
	}
	
	public void setPurchasingUnit(String purchasingUnit) {
		this.purchasingUnit = purchasingUnit;
	}
	
	public String getPartner() {
		return partner;
	}
	
	public void setPartner(String partner) {
		this.partner = partner;
	}
	
	public String getProjectName() {
		return projectName;
	}
	
	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	
	public String getSingningDate() {
		return singningDate;
	}
	
	public void setSingningDate(String singningDate) {
		this.singningDate = singningDate;
	}
	
	public String getEndTime() {
		return endTime;
	}
	
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	
	public String getSingningTotal() {
		return singningTotal;
	}
	
	public void setSingningTotal(String singningTotal) {
		this.singningTotal = singningTotal;
	}
	
	public String getPurchaser() {
		return purchaser;
	}
	
	public void setPurchaser(String purchaser) {
		this.purchaser = purchaser;
	}
	
	public String getPurchaserPhone() {
		return purchaserPhone;
	}
	
	public void setPurchaserPhone(String purchaserPhone) {
		this.purchaserPhone = purchaserPhone;
	}
	
	public String getStatus() {
		return status;
	}
	
	public void setStatus(String status) {
		this.status = status;
	}
	
	public String getSupplierName() {
		return supplierName;
	}
	
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	
	public String getProjectAddress() {
		return projectAddress;
	}
	
	public void setProjectAddress(String projectAddress) {
		this.projectAddress = projectAddress;
	}
	
	public String getBuyerName() {
		return buyerName;
	}
	
	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}
	
	public String getBuyerAddress() {
		return buyerAddress;
	}
	
	public void setBuyerAddress(String buyerAddress) {
		this.buyerAddress = buyerAddress;
	}
	
	public String getBuyerPhoneNumber() {
		return buyerPhoneNumber;
	}
	
	public void setBuyerPhoneNumber(String buyerPhoneNumber) {
		this.buyerPhoneNumber = buyerPhoneNumber;
	}
	
	public String getStartTime() {
		return startTime;
	}
	
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	
	public String getWorkUndertaken() {
		return workUndertaken;
	}
	
	public void setWorkUndertaken(String workUndertaken) {
		this.workUndertaken = workUndertaken;
	}
	
	public String getProjectQuantity() {
		return projectQuantity;
	}
	
	public void setProjectQuantity(String projectQuantity) {
		this.projectQuantity = projectQuantity;
	}
	
	public String getProjectManager() {
		return projectManager;
	}
	
	public void setProjectManager(String projectManager) {
		this.projectManager = projectManager;
	}
	
	public String getTechnicalDirector() {
		return technicalDirector;
	}
	
	public void setTechnicalDirector(String technicalDirector) {
		this.technicalDirector = technicalDirector;
	}
	
	public String getChiefSupervisionEngineer() {
		return chiefSupervisionEngineer;
	}
	
	public void setChiefSupervisionEngineer(String chiefSupervisionEngineer) {
		this.chiefSupervisionEngineer = chiefSupervisionEngineer;
	}
	
	public String getCsePhoneNumber() {
		return csePhoneNumber;
	}
	
	public void setCsePhoneNumber(String csePhoneNumber) {
		this.csePhoneNumber = csePhoneNumber;
	}
	
	public String getProjectDesc() {
		return projectDesc;
	}
	
	public void setProjectDesc(String projectDesc) {
		this.projectDesc = projectDesc;
	}
	
	public String getProjectRangeAndContent() {
		return projectRangeAndContent;
	}
	
	public void setProjectRangeAndContent(String projectRangeAndContent) {
		this.projectRangeAndContent = projectRangeAndContent;
	}
	
	public String getSupplierWorkerCountmax() {
		return supplierWorkerCountmax;
	}
	
	public void setSupplierWorkerCountmax(String supplierWorkerCountmax) {
		this.supplierWorkerCountmax = supplierWorkerCountmax;
	}
	
	public String getSupplierWorkerCountave() {
		return supplierWorkerCountave;
	}
	
	public void setSupplierWorkerCountave(String supplierWorkerCountave) {
		this.supplierWorkerCountave = supplierWorkerCountave;
	}
	
	public String getProjectDeviceResult() {
		return projectDeviceResult;
	}
	
	public void setProjectDeviceResult(String projectDeviceResult) {
		this.projectDeviceResult = projectDeviceResult;
	}
	
	public String getBuyerLinkman() {
		return buyerLinkman;
	}
	
	public void setBuyerLinkman(String buyerLinkman) {
		this.buyerLinkman = buyerLinkman;
	}
	
	public String getIsHavrAccessory() {
		return isHavrAccessory;
	}
	
	public void setIsHavrAccessory(String isHavrAccessory) {
		this.isHavrAccessory = isHavrAccessory;
	}
	
	public String getIsOurCompanyProject() {
		return isOurCompanyProject;
	}
	
	public void setIsOurCompanyProject(String isOurCompanyProject) {
		this.isOurCompanyProject = isOurCompanyProject;
	}
	
	public String getServiceScope() {
		return serviceScope;
	}
	
	public void setServiceScope(String serviceScope) {
		this.serviceScope = serviceScope;
	}
	
	public String getDeviceName() {
		return deviceName;
	}
	
	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}
	
	public String getDevicetypeSpecification() {
		return devicetypeSpecification;
	}
	
	public void setDevicetypeSpecification(String devicetypeSpecification) {
		this.devicetypeSpecification = devicetypeSpecification;
	}
	
	public String getTotalCapacity() {
		return totalCapacity;
	}
	
	public void setTotalCapacity(String totalCapacity) {
		this.totalCapacity = totalCapacity;
	}
	
	public String getNumber() {
		return number;
	}
	
	public void setNumber(String number) {
		this.number = number;
	}
	
	public String getContractTime() {
		return contractTime;
	}
	
	public void setContractTime(String contractTime) {
		this.contractTime = contractTime;
	}
	
	public String getCommissioningTime() {
		return commissioningTime;
	}
	
	public void setCommissioningTime(String commissioningTime) {
		this.commissioningTime = commissioningTime;
	}
	
	public String getMemo() {
		return memo;
	}
	
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	public String getProjectScale() {
		return projectScale;
	}
	
	public void setProjectScale(String projectScale) {
		this.projectScale = projectScale;
	}
	
	public String getProfessionalNumber() {
		return professionalNumber;
	}
	
	public void setProfessionalNumber(String professionalNumber) {
		this.professionalNumber = professionalNumber;
	}
	
	public String getProfessionalWorkload() {
		return professionalWorkload;
	}
	
	public void setProfessionalWorkload(String professionalWorkload) {
		this.professionalWorkload = professionalWorkload;
	}
	
	public String getPartnerProfessionalWorkload() {
		return partnerProfessionalWorkload;
	}
	
	public void setPartnerProfessionalWorkload(String partnerProfessionalWorkload) {
		this.partnerProfessionalWorkload = partnerProfessionalWorkload;
	}
	
	public String getSupervisionCcontent() {
		return supervisionCcontent;
	}
	
	public void setSupervisionCcontent(String supervisionCcontent) {
		this.supervisionCcontent = supervisionCcontent;
	}
	
	public String getSupervisionResult() {
		return supervisionResult;
	}
	
	public void setSupervisionResult(String supervisionResult) {
		this.supervisionResult = supervisionResult;
	}
	
	public String getKeyStaffProfessionalAndDuty() {
		return keyStaffProfessionalAndDuty;
	}
	
	public void setKeyStaffProfessionalAndDuty(String keyStaffProfessionalAndDuty) {
		this.keyStaffProfessionalAndDuty = keyStaffProfessionalAndDuty;
	}
	
	public String getServiceDesc() {
		return serviceDesc;
	}
	
	public void setServiceDesc(String serviceDesc) {
		this.serviceDesc = serviceDesc;
	}
	
	public String getExecutionDate() {
		return executionDate;
	}
	
	public void setExecutionDate(String executionDate) {
		this.executionDate = executionDate;
	}
	
	public String getProjectScaleAndType() {
		return projectScaleAndType;
	}
	
	public void setProjectScaleAndType(String projectScaleAndType) {
		this.projectScaleAndType = projectScaleAndType;
	}
	
	public String getDesignStage() {
		return designStage;
	}
	
	public void setDesignStage(String designStage) {
		this.designStage = designStage;
	}
	
	public String getDesignRange() {
		return designRange;
	}
	
	public void setDesignRange(String designRange) {
		this.designRange = designRange;
	}
	
	public String getCooperationWay() {
		return cooperationWay;
	}
	
	public void setCooperationWay(String cooperationWay) {
		this.cooperationWay = cooperationWay;
	}
	
	public String getContractExecuteCondition() {
		return contractExecuteCondition;
	}
	
	public void setContractExecuteCondition(String contractExecuteCondition) {
		this.contractExecuteCondition = contractExecuteCondition;
	}
	
}