package com.gx.obe.struct.beans;

import java.math.BigDecimal;

/**
 * @Description: 损益表
 * @author chenxw
 */
public class ProfitlossSheet {
	
	/**
	 * 主键
	 */
	private String id;
	/**
	 * 项目ID
	 */
	private String tenderId;
	/**
	 * 财务ID
	 */
	private String financeId;
	/**
	 * 主营业务收入净额
	 */
	private BigDecimal mainIncome;
	/**
	 * 主营业务成本
	 */
	private BigDecimal mainCost;
	/**
	 * 财务费用
	 */
	private BigDecimal financialCost;
	/**
	 * 其他成本费用
	 */
	private BigDecimal otherCosts;
	/**
	 * 其中：技术开发、转让费用
	 */
	private BigDecimal developmentAndTransferCosts;
	/**
	 * 利润总额
	 */
	private BigDecimal profitLossprofit;
	/**
	 * 净利润
	 */
	private BigDecimal profitRetainedProfits;
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getTenderId() {
		return tenderId;
	}
	
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	
	public String getFinanceId() {
		return financeId;
	}
	
	public void setFinanceId(String financeId) {
		this.financeId = financeId;
	}
	
	public BigDecimal getMainIncome() {
		return mainIncome;
	}
	
	public void setMainIncome(BigDecimal mainIncome) {
		this.mainIncome = mainIncome;
	}
	
	public BigDecimal getMainCost() {
		return mainCost;
	}
	
	public void setMainCost(BigDecimal mainCost) {
		this.mainCost = mainCost;
	}
	
	public BigDecimal getFinancialCost() {
		return financialCost;
	}
	
	public void setFinancialCost(BigDecimal financialCost) {
		this.financialCost = financialCost;
	}
	
	public BigDecimal getOtherCosts() {
		return otherCosts;
	}
	
	public void setOtherCosts(BigDecimal otherCosts) {
		this.otherCosts = otherCosts;
	}
	
	public BigDecimal getDevelopmentAndTransferCosts() {
		return developmentAndTransferCosts;
	}
	
	public void setDevelopmentAndTransferCosts(BigDecimal developmentAndTransferCosts) {
		this.developmentAndTransferCosts = developmentAndTransferCosts;
	}
	
	public BigDecimal getProfitLossprofit() {
		return profitLossprofit;
	}
	
	public void setProfitLossprofit(BigDecimal profitLossprofit) {
		this.profitLossprofit = profitLossprofit;
	}
	
	public BigDecimal getProfitRetainedProfits() {
		return profitRetainedProfits;
	}
	
	public void setProfitRetainedProfits(BigDecimal profitRetainedProfits) {
		this.profitRetainedProfits = profitRetainedProfits;
	}
	
}