package com.gx.obe.struct.beans;

import java.util.ArrayList;
import java.util.List;

import com.gx.obe.http.json.JsonUtil;


/**
 * 供应商自我评结构化响应内容
 * @author gnauh
 *
 */
public class SelfEvalParamsDO {
	
//	<paramValueList>
//	   <paramValue>
//	    <dataType><![CDATA[string]]></dataType>
//	    <dataValue><![CDATA[4bbd0336c9624562a6b3639d92824ff5]]></dataValue>
//	   </paramValue>
//	  </paramValueList>
	  
	/**
	 * 下拉选项内容
	 */
	private List<ParamValueDO> paramValueList;
	
	public String toJson() {
		return JsonUtil.jsonObjectToStr(this);
	}

	public List<ParamValueDO> getParamValueList() {
		return paramValueList;
	}

	public void setParamValueList(List<ParamValueDO> paramValueList) {
		this.paramValueList = paramValueList;
	}
	
	public void clearParamValue() {
		if(null != paramValueList) {
			paramValueList.clear();
		}
	}
	public void addParamValue(ParamValueDO paramValueDO) {
		if(null == paramValueList) {
			paramValueList = new ArrayList<ParamValueDO>();
		}
		paramValueList.add(paramValueDO);
	}
	
	/**
	 * 获取选项值
	 */
	public String getSelectParamValue() {
		if(null != paramValueList && paramValueList.size() > 0) {
			return paramValueList.get(paramValueList.size() -1).getDataValue();
		}
		return null;
	}
	/**
	 * 获取选项值
	 */
	public void setSelectParamValue(String dataValue) {
		if(null != paramValueList && paramValueList.size() > 0) {
			paramValueList.get(paramValueList.size() -1).setDataValue(dataValue);;
		}
	}
	
}
