package com.gx.obe.struct.dialog;

import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.core.utils.SwtUtils;
import org.eclipse.swt.core.widgets.EDialog;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

import com.gx.obe.components.core.Constants;

public class AuxevaluationFullScreenDialog extends EDialog {
	
	private String stageId;
	private String token;
	
	public AuxevaluationFullScreenDialog(Shell parentShell, String stageId, String token) {
		super(parentShell);
		this.setTitle("辅助评标");
		this.stageId = stageId;
		this.token = token;
	}
	
	@Override
	protected Control createDialogArea(Composite parent) {
		Composite container = (Composite) super.createDialogArea(parent);
		container.setLayout(new FillLayout(SWT.HORIZONTAL));
		
		Browser browser = new Browser(container, SWT.NONE);
//		browser.setUrl("http://dtjg.cse-bidding.com/bidweb/#/auxevaluationFullScreen/projectInfo?stageId=" + stageId);
		browser.setUrl(Constants.getAuxiliaryPlatformUrl("bidweb/#/auxevaluationFullScreen/projectInfo") + "?stageId=" + stageId + "&token=" + token + "&sourceType=dt");
		return container;
	}
	
	@Override
	protected Point getInitialSize() {
		return new Point(1502, 950);
	}
	
	@Override
	protected void initializeBounds() {
		super.initializeBounds();
		SwtUtils.setCenter(getShell());
	}
	
}
