package com.gx.obe.struct.enums;

import java.util.Map;

import com.gx.obe.util.utils.EnumUtils;

public enum EvaluationFactorTypeEnum {
	
	COMPLIANCE("compliance"), BUSINESS("business"), TECHNOLOGY("technology");
	
	public static Map<String, EvaluationFactorTypeEnum> MAP = EnumUtils.toMap(values(), EvaluationFactorTypeEnum::getKey);
	
	private String key;
	
	private EvaluationFactorTypeEnum(String key) {
		this.key = key;
	}
	
	public String getKey() {
		return key;
	}
	
}
