package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.BusinessLicense;
import com.gx.obe.web.utils.ObeHttpUtils;

public class BusinessLicenseService {
	
	private static final String URL = "obeBusinessLicense";
	
	/**
	 * @Description: 获取营业执照列表
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @return
	 */
	public List<BusinessLicense> getBusinessLicenseList(String tenderId, String modelDataId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("modelDataId", modelDataId);
		return ObeHttpUtils.getList(URL.concat("/getBusinessLicenseList"), param, BusinessLicense.class);
	}
	
}
