package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.Certificate;
import com.gx.obe.web.utils.ObeHttpUtils;

/**
 * @Description:
 * @author chenxw
 */
public class CertificateService {
	
	private static final String URL = "obeCertificate";
	
	/**
	 * @Description: 获取证书列表
	 * @author chenxw
	 * @param projectLeaderId
	 * @return 
	 */
	public List<Certificate> getCertificateList(String projectLeaderId) {
		Map<String, Object> param = new HashMap<>();
		param.put("projectLeaderId", projectLeaderId);
		return ObeHttpUtils.getList(URL.concat("/getCertificateList"), param, Certificate.class);
	}
	
}
