package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.Finance;
import com.gx.obe.web.utils.ObeHttpUtils;

public class FinanceService {
	
	private static final String URL = "obeFinance";
	
	/**
	 * @Description: 获取财务状况列表
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @return
	 */
	public List<Finance> getFinanceList(String tenderId, String modelDataId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("modelDataId", modelDataId);
		return ObeHttpUtils.getList(URL.concat("/getFinanceList"), param, Finance.class);
	}
	
}
