package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.Performance;
import com.gx.obe.web.utils.ObeHttpUtils;

public class PerformanceService {
	
	private static final String URL = "obePerformance";
	
	/**
	 * @Description: 获取业绩列表
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @return
	 */
	public List<Performance> getPerformanceList(String tenderId, String modelDataId, String statue) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("modelDataId", modelDataId);
		param.put("statue", statue);
		return ObeHttpUtils.getList(URL.concat("/getPerformanceList"), param, Performance.class);
	}
	
}
