package com.gx.obe.struct.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.struct.beans.WorkExperience;
import com.gx.obe.web.utils.ObeHttpUtils;

/**
 * @Description:
 * @author chenxw
 */
public class WorkExperienceService {
	
	private static final String URL = "obeWorkExperience";
	
	/**
	 * @Description: 获取工作经历列表
	 * @author chenxw
	 * @param projectLeaderId
	 * @return 
	 */
	public List<WorkExperience> getWorkExperienceList(String projectLeaderId) {
		Map<String, Object> param = new HashMap<>();
		param.put("projectLeaderId", projectLeaderId);
		return ObeHttpUtils.getList(URL.concat("/getWorkExperienceList"), param, WorkExperience.class);
	}
	
}
