package com.gx.obe.struct.utils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Stream;

import org.dom4j.Document;
import org.dom4j.Element;

import com.gx.obe.util.utils.XmlUtils;

public class GetTypeUtils {

	/**
	 * @Description: 解析业绩
	 * @author chenxw
	 * @param tenderId
	 * @param modelDataId
	 * @param xmlFilePath
	 * @param consumer
	 * @param mark 
	 * @return
	 */
	public static Map<String, List<Map<String, String>>> resolverPerformance(String tenderId, String xmlFilePath) {
		Document document = XmlUtils.getXmlDocument(xmlFilePath);
		Element root = document.getRootElement();
		List<Element> sheelList = root.elements("sheel");
//		Map<String, Map<String, Object>> returnList = new HashMap<String, Map<String, Object>>();
		Map<String, List<Map<String, String>>> sheelMap = new HashMap<String, List<Map<String, String>>>();
		for(Element element : sheelList) {
			String code = element.elementTextTrim("code");
			Element rowListelement = element.element("rowList");
			List<Map<String, String>> rowList  = new ArrayList<Map<String, String>>();
			if(null != rowListelement) {
				List<Element> elementRowlist = rowListelement.elements("userMassage");
				for(Element elementRow : elementRowlist) {
					Map<String, String> userMassageMap = new HashMap<>();
					userMassageMap.put("name", elementRow.elementTextTrim("name"));
					userMassageMap.put("code", elementRow.elementTextTrim("code"));
					rowList.add(userMassageMap);
				}
			}
//			sheelMap.put("code", );
			sheelMap.put(code, rowList);
//			returnList.a
		}
		return sheelMap;
//		return Optional.ofNullable(XmlUtils.getXmlDocument(xmlFilePath)).map(t->t.getRootElement().elements("sheel")).map(l ->streamElement(l).forEach(n->{
//			
//		}));
//		return null;
//		return Optional.ofNullable(XmlUtils.getXmlDocument(xmlFilePath)).map(t -> t.getRootElement().elements("sheel")).map(l -> {
////			return streamElement(l).filter(t -> {
////				if(null != mark ) {
////					return mark.equals(t.elementTextTrim("status"));
////				}else {
////					return false;
////				}
////			}).map(t -> {
////				Performance performance = initPerformance(t);
////				consumer.accept(new AttachmentFileOperation(tenderId, performance.getId(), t.element("scanSingning")));
////				return performance;
////			}).peek(t -> {
////				t.setTenderId(tenderId);
////				t.setModelDataId(modelDataId);
////			}).collect(Collectors.toList());
//		});
	}
	private static Stream<Element> streamElement(List<?> list) {
		return list.stream().map(t -> (Element) t);
	}
}
